summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xrecipes-connectivity/lora/lora-network-server/lora-network-server.init17
1 files changed, 17 insertions, 0 deletions
diff --git a/recipes-connectivity/lora/lora-network-server/lora-network-server.init b/recipes-connectivity/lora/lora-network-server/lora-network-server.init
index 0c1ae19..8e2e729 100755
--- a/recipes-connectivity/lora/lora-network-server/lora-network-server.init
+++ b/recipes-connectivity/lora/lora-network-server/lora-network-server.init
@@ -117,6 +117,23 @@ hardware_found() {
fi
}
+setup_mtcdt_2g4() {
+ mts-io-sysfs store lora/reset 0
+ mts-io-sysfs store lora/boot 0
+ sleep 0.25
+ mts-io-sysfs store lora/reset 1
+ GLOBAL_CONF=/opt/lora/global_conf.json.2g4
+ set +e
+ diff $GLOBAL_CONF /opt/lora/global_conf.json 1>/dev/null
+ if [ $? -ne 0 ]; then
+ cp $GLOBAL_CONF /opt/lora/global_conf.json
+ fi
+ set -e
+ ln -sf /opt/lora/lora_pkt_fwd_2g4 $pkt_fwd
+ ln -sf /opt/lora/lora_pkt_fwd_2g4 $pkt_fwd_2
+ return 0
+}
+
setup_mtcdt_2_1() {
if [[ "$lora_id" = "$lora_mtac_g16_id868" ]]; then
GLOBAL_CONF=/opt/lora/global_conf.json.MTAC_LORA_2_1_loc_single_antenna_16ch_EU868